{
    programs.nvf = {
        enable = true;
        # Your settings need to go into the settings attribute set
        # most settings are documented in the appendix
        settings = {
            vim = {
                viAlias = true;
                vimAlias = true;
                lsp.enable = true;
                languages = {
                    nix.enable = true;
                    ts.enable = true;
                    python.enable = true;
                    markdown.enable = true;
                    html.enable = true;
                    go.enable = true;
                    # lua.emable = true;
                    php.enable = true;
                    astro.enable = true;
                    bash.enable = true;
                    css.enable = true;
                    svelte.enable = true;
                    tailwind.enable = true;
                    yaml.enable = true;
                };

                lazy = {
                    plugins = {

                    };
                };
            };
        };
    };
}